com.sap.security.um.user

## Class PersistenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sap.security.um.UMException
      - - com.sap.security.um.user.PersistenceException

- All Implemented Interfaces:
    Serializable

      public class PersistenceException
      extends UMException

  Exception class which is used in case of communication errors with the user store during search, read or write operations.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistenceException(String technicalMessage)` Constructs a new Persistence Exception with the specified detail message.
    `PersistenceException(String technicalMessage, Throwable thr)` Constructs a new Persistence Exception with the specified detail message and cause.
    `PersistenceException(Throwable thr)` Constructs a new Persistence Exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistenceException

          public PersistenceException(String technicalMessage,
                              Throwable thr)

      Constructs a new Persistence Exception with the specified detail message and cause.
      Parameters:
        `technicalMessage` - - the detail message
        `thr` - - the root cause for creating PersistenceException

    - #### PersistenceException

          public PersistenceException(String technicalMessage)

      Constructs a new Persistence Exception with the specified detail message.
      Parameters:
        `technicalMessage` - - the detail message

    - #### PersistenceException

          public PersistenceException(Throwable thr)

      Constructs a new Persistence Exception with the specified cause.
      Parameters:
        `thr` - - the root cause for creating PersistenceException

Copyright © 2016 SAP. All Rights Reserved.